summaryrefslogtreecommitdiffstats
path: root/source/kde/kdebase/kdebase.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/kdebase/kdebase.SlackBuild')
-rwxr-xr-xsource/kde/kdebase/kdebase.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/source/kde/kdebase/kdebase.SlackBuild b/source/kde/kdebase/kdebase.SlackBuild
index 89ff3a503..53732fb50 100755
--- a/source/kde/kdebase/kdebase.SlackBuild
+++ b/source/kde/kdebase/kdebase.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -54,6 +54,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# patch a problem where closing a konsole tab breaks the right-click context menu:
+zcat $CWD/konsole_right_click-185466.patch.gz | patch --verbose -p2 || exit 1
+zcat $CWD/konsole_right_click-185466.patch.patch.gz | patch --verbose -p1 || exit 1
+
mkdir -p build
cd build
cmake \